## com.google.gwt.user.client.ui
Class UIObject.DebugIdImplEnabled

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject.DebugIdImpl
          com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled

Enclosing class:
  UIObject

    public static class UIObject.DebugIdImplEnabled

extends UIObject.DebugIdImpl

The implementation of the setDebugId method, which sets the id of the `Element`s in this `UIObject`.

Constructor Summary
`UIObject.DebugIdImplEnabled()`

Method Summary
`void` `ensureDebugId(Element elem, java.lang.String id)`
`void` `ensureDebugId(UIObject uiObject, java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIObject.DebugIdImplEnabled

    public UIObject.DebugIdImplEnabled()

Method Detail

### ensureDebugId

    public void ensureDebugId(UIObject uiObject,
                              java.lang.String id)

  Overrides:
    `ensureDebugId` in class `UIObject.DebugIdImpl`

### ensureDebugId

    public void ensureDebugId(Element elem,
                              java.lang.String id)

  Overrides:
    `ensureDebugId` in class `UIObject.DebugIdImpl`